Bug 1288083 - ncl-common creates symlinks in /usr/lib/ncarg
ncl-common creates symlinks in /usr/lib/ncarg
Status: ASSIGNED
Product: Fedora EPEL
Classification: Fedora
Component: ncl (Show other bugs)
epel7
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 07:55 EST by George N. White III
Modified: 2015-12-07 08:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George N. White III 2015-12-03 07:55:05 EST
Description of problem:

ncl-common creates /usr/lib/ncarg and populates it with symlinks which are not required is environment variables are set properly

Version-Release number of selected component (if applicable):

ncl.x86_64 6.3.0-1.el7
ncl-commmon 6.3.0-1.el7

How reproducible:

Completely

Steps to Reproduce:
1. install ncl.x86_64 and ncl-common
2. ls -l /usr/lib/ncarg


Actual results:

/usr/lib/ncarg is populated with symlinks to ../../share/ncarg

These symlinks are not needed because /etc/profile.d/ncarg.sh sets 
variables that refer to /usr/lib64/ncarg and /usr/share/ncarg.

Expected results:

Installation should create only directories and symlinks that are
needed.
  
Additional info:
Comment 1 Orion Poplawski 2015-12-04 18:25:08 EST
Are they causing any particular problem?  My recollection is that some applications/scripts do not pay proper attention to the environment variables so it was necessary to produce the symlinks, so I'm hesitant to remove them unless they are causing problems.
Comment 2 George N. White III 2015-12-07 08:03:27 EST
I agree that it would be nice to have ncl installed via RPM work without having to set the NCARG variables, but I fear that requires changes to the build.  I've learned to be careful about letting unnecessary files accumulate as they can cause difficulties, e.g., if a new version of ncl is installed from sources 
in a non-standard path and picks up some old config files because the default looks in /usr/lib/ncarg.

If the goal is to be able to run ncl scripts without setting NCARG_* environment variables (e.g., bypassing /etc/profile.d/ncl.sh) that doesn't work for my 64-bit system.  

With no NCARG_* variables set, ncl gives 
  
  NDV_COLORMAP_PATH environment varaible not set:
       defaulting to .:$NCARG_ROOT/lib/ncarg/colormaps
  warning:["Palette.c"1844]:NhlLoadColormapFiles: Invalid directory encountered in colormap path specification

and segfaults, so NCARG_ROOT must be set.  

If I set NCARG_ROOT=/usr, then ncl runs and can be used for simple arithmetic, but gives: 

  warning:WorkstationClassInitialize:Unable to access rgb color database - named colors unsupported

If I create the symlinks in /usr/lib64/ncarg I still get this message, so it appears that ncl defaults to /usr/lib/ncarg and requires the additional variables from /etc/profile.d/ncarg.sh that point to /usr/lib64/ncarg.

Note You need to log in before you can comment on or make changes to this bug.